org.eclipse.viatra.query.patternlanguage.emf.vql.impl

## Class PatternLanguageFactoryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - org.eclipse.viatra.query.patternlanguage.emf.vql.impl.PatternLanguageFactoryImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory, PatternLanguageFactory

      public class PatternLanguageFactoryImpl
      extends org.eclipse.emf.ecore.impl.EFactoryImpl
      implements PatternLanguageFactory

  An implementation of the model Factory.
  Generated:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `EDATE_FORMATS, ePackage`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.viatra.query.patternlanguage.emf.vql.PatternLanguageFactory

      `eINSTANCE`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternLanguageFactoryImpl()` Creates an instance of the factory.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `convertClosureTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertCompareFeatureToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertExecutionTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertParameterDirectionToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `org.eclipse.emf.ecore.EObject` | `create(org.eclipse.emf.ecore.EClass eClass)`
    `AggregatedValue` | `createAggregatedValue()`
    `Annotation` | `createAnnotation()`
    `AnnotationParameter` | `createAnnotationParameter()`
    `BoolValue` | `createBoolValue()`
    `CheckConstraint` | `createCheckConstraint()`
    `ClassType` | `createClassType()`
    `ClosureType` | `createClosureTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `CompareConstraint` | `createCompareConstraint()`
    `CompareFeature` | `createCompareFeatureFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `ComputationValue` | `createComputationValue()`
    `Constraint` | `createConstraint()`
    `EClassifierConstraint` | `createEClassifierConstraint()`
    `EntityType` | `createEntityType()`
    `EnumValue` | `createEnumValue()`
    `ExecutionType` | `createExecutionTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `Expression` | `createExpression()`
    `java.lang.Object` | `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `FunctionEvaluationValue` | `createFunctionEvaluationValue()`
    `JavaConstantValue` | `createJavaConstantValue()`
    `JavaType` | `createJavaType()`
    `ListValue` | `createListValue()`
    `LiteralValueReference` | `createLiteralValueReference()`
    `LocalVariable` | `createLocalVariable()`
    `Modifiers` | `createModifiers()`
    `NumberValue` | `createNumberValue()`
    `PackageImport` | `createPackageImport()`
    `Parameter` | `createParameter()`
    `ParameterDirection` | `createParameterDirectionFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `ParameterRef` | `createParameterRef()`
    `PathExpressionConstraint` | `createPathExpressionConstraint()`
    `Pattern` | `createPattern()`
    `PatternBody` | `createPatternBody()`
    `PatternCall` | `createPatternCall()`
    `PatternCompositionConstraint` | `createPatternCompositionConstraint()`
    `PatternImport` | `createPatternImport()`
    `PatternModel` | `createPatternModel()`
    `ReferenceType` | `createReferenceType()`
    `RelationType` | `createRelationType()`
    `StringValue` | `createStringValue()`
    `Type` | `createType()`
    `TypeCheckConstraint` | `createTypeCheckConstraint()`
    `ValueReference` | `createValueReference()`
    `Variable` | `createVariable()`
    `VariableReference` | `createVariableReference()`
    `VQLImportSection` | `createVQLImportSection()`
    `static PatternLanguagePackage` | `getPackage()` Deprecated.
    `PatternLanguagePackage` | `getPatternLanguagePackage()`
    `static PatternLanguageFactory` | `init()` Creates the default factory implementation.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Constructor Detail

    - #### PatternLanguageFactoryImpl

          public PatternLanguageFactoryImpl()

      Creates an instance of the factory.
      Generated:

  - ### Method Detail

    - #### init

          public static PatternLanguageFactory init()

      Creates the default factory implementation.
      Generated:

    - #### create

          public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

      Specified by:
        `create` in interface `org.eclipse.emf.ecore.EFactory`
      Overrides:
        `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
      Generated:

    - #### createFromString

          public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.String initialValue)

      Specified by:
        `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
      Overrides:
        `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
      Generated:

    - #### convertToString

          public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                  java.lang.Object instanceValue)

      Specified by:
        `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
      Overrides:
        `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
      Generated:

    - #### createVQLImportSection

          public VQLImportSection createVQLImportSection()

      Specified by:
        `createVQLImportSection` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'VQL Import Section'.
      Generated:

    - #### createPackageImport

          public PackageImport createPackageImport()

      Specified by:
        `createPackageImport` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Package Import'.
      Generated:

    - #### createPatternImport

          public PatternImport createPatternImport()

      Specified by:
        `createPatternImport` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Pattern Import'.
      Generated:

    - #### createEClassifierConstraint

          public EClassifierConstraint createEClassifierConstraint()

      Specified by:
        `createEClassifierConstraint` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'EClassifier Constraint'.
      Generated:

    - #### createEnumValue

          public EnumValue createEnumValue()

      Specified by:
        `createEnumValue` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Enum Value'.
      Generated:

    - #### createPatternModel

          public PatternModel createPatternModel()

      Specified by:
        `createPatternModel` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Pattern Model'.
      Generated:

    - #### createClassType

          public ClassType createClassType()

      Specified by:
        `createClassType` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Class Type'.
      Generated:

    - #### createReferenceType

          public ReferenceType createReferenceType()

      Specified by:
        `createReferenceType` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Reference Type'.
      Generated:

    - #### createPattern

          public Pattern createPattern()

      Specified by:
        `createPattern` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Pattern'.
      Generated:

    - #### createAnnotation

          public Annotation createAnnotation()

      Specified by:
        `createAnnotation` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Annotation'.
      Generated:

    - #### createAnnotationParameter

          public AnnotationParameter createAnnotationParameter()

      Specified by:
        `createAnnotationParameter` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Annotation Parameter'.
      Generated:

    - #### createModifiers

          public Modifiers createModifiers()

      Specified by:
        `createModifiers` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Modifiers'.
      Generated:

    - #### createExpression

          public Expression createExpression()

      Specified by:
        `createExpression` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Expression'.
      Generated:

    - #### createVariable

          public Variable createVariable()

      Specified by:
        `createVariable` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Variable'.
      Generated:

    - #### createVariableReference

          public VariableReference createVariableReference()

      Specified by:
        `createVariableReference` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Variable Reference'.
      Generated:

    - #### createType

          public Type createType()

      Specified by:
        `createType` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Type'.
      Generated:

    - #### createEntityType

          public EntityType createEntityType()

      Specified by:
        `createEntityType` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Entity Type'.
      Generated:

    - #### createPatternBody

          public PatternBody createPatternBody()

      Specified by:
        `createPatternBody` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Pattern Body'.
      Generated:

    - #### createConstraint

          public Constraint createConstraint()

      Specified by:
        `createConstraint` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Constraint'.
      Generated:

    - #### createPatternCall

          public PatternCall createPatternCall()

      Specified by:
        `createPatternCall` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Pattern Call'.
      Generated:

    - #### createValueReference

          public ValueReference createValueReference()

      Specified by:
        `createValueReference` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Value Reference'.
      Generated:

    - #### createLiteralValueReference

          public LiteralValueReference createLiteralValueReference()

      Specified by:
        `createLiteralValueReference` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Literal Value Reference'.
      Generated:

    - #### createComputationValue

          public ComputationValue createComputationValue()

      Specified by:
        `createComputationValue` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Computation Value'.
      Generated:

    - #### createParameterRef

          public ParameterRef createParameterRef()

      Specified by:
        `createParameterRef` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Parameter Ref'.
      Generated:

    - #### createParameter

          public Parameter createParameter()

      Specified by:
        `createParameter` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Parameter'.
      Generated:

    - #### createLocalVariable

          public LocalVariable createLocalVariable()

      Specified by:
        `createLocalVariable` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Local Variable'.
      Generated:

    - #### createJavaType

          public JavaType createJavaType()

      Specified by:
        `createJavaType` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Java Type'.
      Generated:

    - #### createRelationType

          public RelationType createRelationType()

      Specified by:
        `createRelationType` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Relation Type'.
      Generated:

    - #### createTypeCheckConstraint

          public TypeCheckConstraint createTypeCheckConstraint()

      Specified by:
        `createTypeCheckConstraint` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Type Check Constraint'.
      Generated:

    - #### createPatternCompositionConstraint

          public PatternCompositionConstraint createPatternCompositionConstraint()

      Specified by:
        `createPatternCompositionConstraint` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Pattern Composition Constraint'.
      Generated:

    - #### createCompareConstraint

          public CompareConstraint createCompareConstraint()

      Specified by:
        `createCompareConstraint` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Compare Constraint'.
      Generated:

    - #### createCheckConstraint

          public CheckConstraint createCheckConstraint()

      Specified by:
        `createCheckConstraint` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Check Constraint'.
      Generated:

    - #### createPathExpressionConstraint

          public PathExpressionConstraint createPathExpressionConstraint()

      Specified by:
        `createPathExpressionConstraint` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Path Expression Constraint'.
      Generated:

    - #### createStringValue

          public StringValue createStringValue()

      Specified by:
        `createStringValue` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'String Value'.
      Generated:

    - #### createNumberValue

          public NumberValue createNumberValue()

      Specified by:
        `createNumberValue` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Number Value'.
      Generated:

    - #### createBoolValue

          public BoolValue createBoolValue()

      Specified by:
        `createBoolValue` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Bool Value'.
      Generated:

    - #### createListValue

          public ListValue createListValue()

      Specified by:
        `createListValue` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'List Value'.
      Generated:

    - #### createFunctionEvaluationValue

          public FunctionEvaluationValue createFunctionEvaluationValue()

      Specified by:
        `createFunctionEvaluationValue` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Function Evaluation Value'.
      Generated:

    - #### createAggregatedValue

          public AggregatedValue createAggregatedValue()

      Specified by:
        `createAggregatedValue` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Aggregated Value'.
      Generated:

    - #### createJavaConstantValue

          public JavaConstantValue createJavaConstantValue()

      Specified by:
        `createJavaConstantValue` in interface `PatternLanguageFactory`
      Returns:
        a new object of class 'Java Constant Value'.
      Generated:

    - #### createExecutionTypeFromString

          public ExecutionType createExecutionTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.String initialValue)

      Generated:

    - #### convertExecutionTypeToString

          public java.lang.String convertExecutionTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.Object instanceValue)

      Generated:

    - #### createParameterDirectionFromString

          public ParameterDirection createParameterDirectionFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                       java.lang.String initialValue)

      Generated:

    - #### convertParameterDirectionToString

          public java.lang.String convertParameterDirectionToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                    java.lang.Object instanceValue)

      Generated:

    - #### createCompareFeatureFromString

          public CompareFeature createCompareFeatureFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

      Generated:

    - #### convertCompareFeatureToString

          public java.lang.String convertCompareFeatureToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                java.lang.Object instanceValue)

      Generated:

    - #### createClosureTypeFromString

          public ClosureType createClosureTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.String initialValue)

      Generated:

    - #### convertClosureTypeToString

          public java.lang.String convertClosureTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.Object instanceValue)

      Generated:

    - #### getPatternLanguagePackage

          public PatternLanguagePackage getPatternLanguagePackage()

      Specified by:
        `getPatternLanguagePackage` in interface `PatternLanguageFactory`
      Returns:
        the package supported by this factory.
      Generated:

    - #### getPackage

          @Deprecated
          public static PatternLanguagePackage getPackage()

      Deprecated.
      Generated: